package com.sifang.modules.customer.form;

import org.hibernate.validator.constraints.NotBlank;

import javax.validation.constraints.NotNull;
import java.util.Date;

public class SubmitContractReq {

    /**
     * id
     */
    @NotBlank(message = "id不能为空")
    private String id;

    /**
     * 合同编号
     */
    @NotBlank(message = "合同编号不能为空")
    private String contractNumber;

    /**
     * 签署日期
     */
    @NotNull(message = "签署日期不能为空")
    private Date tenantSignTime;
    /**
     * 合同附件
     */
    @NotBlank(message = "合同附件不能为空")
    private String contractUrl;

    public String getContractUrl() {
        return contractUrl;
    }

    public void setContractUrl(String contractUrl) {
        this.contractUrl = contractUrl;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getContractNumber() {
        return contractNumber;
    }

    public void setContractNumber(String contractNumber) {
        this.contractNumber = contractNumber;
    }

    public Date getTenantSignTime() {
        return tenantSignTime;
    }

    public void setTenantSignTime(Date tenantSignTime) {
        this.tenantSignTime = tenantSignTime;
    }
}
